removed /etc and /opt

This commit is contained in:
cutemeli
2025-12-22 10:48:14 +00:00
parent 5ce7ca2c5d
commit 10d1afbb17
32559 changed files with 0 additions and 6756692 deletions

View File

@@ -1,24 +0,0 @@
#!/bin/sh
[ -n "$drwebconfdir" ] || drwebconfdir="/etc/drweb"
[ -n "$drwebprefix" ] || drwebprefix="/opt/drweb"
ENGINE_PATH_OLD="$drwebprefix/lib/drweb32.dll"
ENGINE_PATH_NEW="/var/drweb/lib/drweb32.dll"
DRWEB32_INI="$drwebconfdir/drweb32.ini"
DRWEB32_INI_ENGINE_OLD="`grep "$ENGINE_PATH_OLD" "$DRWEB32_INI" 2>/dev/null`"
DRWEB32_INI_ENGINE_NEW="`grep "$ENGINE_PATH_NEW" "$DRWEB32_INI" 2>/dev/null`"
if [ -f $ENGINE_PATH_OLD -a -n "$DRWEB32_INI_ENGINE_OLD" ] ; then
#old variant - ok
true
elif [ -f $ENGINE_PATH_NEW -a -n "$DRWEB32_INI_ENGINE_NEW" ] ; then
#new variant - ok
true
elif [ -f $ENGINE_PATH_NEW -a -n "$DRWEB32_INI_ENGINE_OLD" ] ; then
oldconf="$DRWEB32_INI.`date +%Y%m%d_%H-%M-%S`"
cp "$DRWEB32_INI" "$oldconf"
cat "$oldconf" | grep -v '^CheckPackedFiles' | sed "s|^EnginePath.*|EnginePath\ =\ $ENGINE_PATH_NEW|g" > "$DRWEB32_INI"
else
echo "WARNING: Engine file drweb32.dll path and EnginePath in drweb32.ini not equal. Check your $drwebconfdir/drweb32.ini."
fi
exit 0

View File

@@ -1,11 +0,0 @@
eval_gettext() {
if [ -x "`which gettext 2>/dev/null`" ] ; then
if [ -x "`which envsubst 2>/dev/null`" ] ; then
gettext "$1" | (`envsubst --variables "$1"`; envsubst "$1")
else
gettext "$1" | echo "$1"
fi
else
echo "$1"
fi
}

View File

@@ -1,316 +0,0 @@
checkRoot() {
[ -n "$DONT_CHECK_ROOT" ] && return
if [ "`$ID -u`" != "0" ]; then
echo
echo "`eval_gettext \"This script must be executed with root privileges.\"`"
echo
exit 1
fi
}
envInit(){
if [ -f /usr/xpg4/bin/awk ]; then
AWK=/usr/xpg4/bin/awk
else
AWK=`which awk`
[ -x "$AWK" ] || AWK=awk
fi
if [ -f /usr/xpg4/bin/sed ]; then
SED=/usr/xpg4/bin/sed
else
SED=`which sed`
[ -x "$SED" ] || SED=sed
fi
if [ -f /usr/xpg4/bin/grep ]; then
GREP=/usr/xpg4/bin/grep
else
GREP=`which grep`
[ -x "$GREP" ] || GREP=grep
fi
if [ -f /usr/xpg4/bin/egrep ]; then
EGREP=/usr/xpg4/bin/egrep
else
EGREP=`which egrep`
[ -x "$EGREP" ] || EGREP=egrep
fi
if [ -f /usr/xpg4/bin/id ]; then
ID=/usr/xpg4/bin/id
else
ID=`which id`
[ -x "$ID" ] || ID=id
fi
}
BackupFile()
{
if [ -f "$1" ] ; then
if [ -f "$1.drwebsave" ] ; then
CONF_DRWEBSAVE="yes"
TIMESTAMP=`date "+%Y%m%d-%k_%M_%S"`
echo "Info: $1.drwebsave exists. Saving $1 as $1.$TIMESTAMP"
cp -p "$1" "$1.$TIMESTAMP"
if [ $? -ne 0 ] ; then
echo "Error: can't backup $1!"
return 3
fi
fi
if [ "$CONF_DRWEBSAVE" != "yes" ] ; then
cp -p "$1" "$1.drwebsave"
if [ $? -ne 0 ] ; then
echo "Error: can't backup $1!"
return 2
else
echo "Success: backup file $1 is saved to $1.drwebsave."
fi
fi
else
echo ""
echo "Error: can't find file $1 for backup!"
echo ""
return 1
fi
return 0;
}
showyesno() {
printf_str="$1"
shift
retval=0
while true ; do
printf "$printf_str (YES/no) " "$*" 2>/dev/null
read yesno
case "$yesno" in
y | yes | Y | Yes | YES | "")
retval=0
echo "yes"
break
;;
n | no | N | No | NO)
retval=1
echo "no"
break
;;
*)
echo "`eval_gettext \"Please enter yes or no.\"`"
;;
esac
done
return $retval
}
shownoyes() {
printf_str="$1"
shift
retval=0
while true ; do
printf "$printf_str (yes/NO) " "$*" 2>/dev/null
read yesno
case "$yesno" in
y | yes | Y | Yes | YES)
retval=0
echo "yes"
break
;;
n | no | N | No | NO | "")
retval=1
echo "no"
break
;;
*)
echo "`eval_gettext \"Please enter yes or no.\"`"
;;
esac
done
return $retval
}
# $1 - Message type ("info", "warning" or "error")
# $2 - Text (printf string)
gui_message() {
# Process args.
type=$1
printf_str=$2
shift
shift
message="`printf \"$printf_str\" \"$*\" 2>/dev/null`"
# Form window title.
StringInList 'info warning error' $type || type=info
case "$type" in
info) title="`eval_gettext \"Info\"`" ;;
warning) title="`eval_gettext \"Warning\"`" ;;
error) title="`eval_gettext \"Error\"`" ;;
esac
# Find some GUI dialog program and form its parameters.
if [ -x "`which zenity`" ]; then
dialog_program=zenity
type_arg="--$type"
message_arg="--text \"$message\""
elif [ -x "`which kdialog`" ]; then
dialog_program=kdialog
case "$type" in
info) type_arg='--msgbox' ;;
warning) type_arg='--sorry' ;;
error) type_arg='--error' ;;
esac
message_arg="\"$message\""
else
dialog_program=
fi
title_arg="--title $title"
# Show the message.
echo \*
echo \* "$title: $message"
echo \*
if [ -n "$dialog_program" -a -n "$DISPLAY" ]; then
eval "$dialog_program $title_arg $type_arg $message_arg"
fi
}
checkNum() {
[ 1 -eq "$1" ] 2>/dev/null
return $?
}
MakeTmpFile() {
sc_name=`basename $0`
tm_file=`mktemp /tmp/$sc_name.XXXXXXXXXX`
chmod 644 $tm_file
echo $tm_file
}
# Returns 0 if there is specified key in specified section
# of ini-type config file. Returns 1 otherwise.
#
# $1 - config file
# $2 - section name regexp
# $3 - key name regexp
IniHaveKey() {
perl_script="
\$sect='$2';
\$key='$3';
open FILE, \"$1\";
while (<FILE>) {
next unless /^\\s*\[\$sect\]/;
while (<FILE>) {
last if /^\\s*\[/;
exit 0 if /^\\s*\$key\\s*=/;
}
}
exit 1;"
perl -e "$perl_script"
}
# Prints list of values of some key of specified section
# of ini-type config file.
#
# $1 - config file
# $2 - section name regexp
# $3 - key name regexp
IniKeyValues() {
perl_script="
\$sect='$2';
\$key='$3';
open FILE, \"$1\";
while (<FILE>) {
next unless /^\\s*\[\$sect\]/;
while (<FILE>) {
last if /^\\s*\[/;
(\$val)=(/^\\s*\$key\\s*=\\s*(.*)/);
next if !\$val;
\$val=~s/\\s*,\\s*/ /g;
\$keys.=\" \$val\";
}
}
\$keys=~s/^\\s*(.*)\\s*\$/\$1/;
print \"\$keys\\n\";"
perl -e "$perl_script"
}
# Executes some Perl code for each line of specified section
# of ini-type config file.
#
# $1 - config file
# $2 - section name regexp
# $3 - perl code
IniSectProc() {
TR_SP_SCRIPT="
\$sect='$2';
open FILE, \$ARGV[0];
while (<FILE>) {
print; next unless /^\\s*\[\$sect\]/;
while (<FILE>) {
if (/^\\s*\[/) { print; last }
$3 print;
}
}"
tmpfile=`MakeTmpFile`
perl -e "$TR_SP_SCRIPT" $1 > $tmpfile || return 1
mv -f $tmpfile $1
}
AskUpdateConfig() {
old_config_file=$1
new_config_file=$2
dont_ask=$3
if diff $old_config_file $new_config_file >/dev/null; then
echo "$old_config_file is up-to-date, it is not necessary to modify it."
rm -f $new_config_file
else
if [ -z "$dont_ask" ]; then
echo
echo "Your $old_config_file is about to be modified."
echo "Backup of the original would be kept."
echo "Here's the diff:"
echo
diff -u $old_config_file $new_config_file && true
echo
showyesno 'Do you agree with these changes?'
else
true
fi
if [ "$?" = "0" ]; then
BackupFile $old_config_file
mv -f $new_config_file $old_config_file
echo "Your $old_config_file has been altered by this script."
echo "The original has been backed up."
else
rm -f $new_config_file
fi
fi
}
# GNU/Linux have seq. FreeBSD have jot instead of seq.
# Solaris have neither seq nor jot. Using Perl as always...
#
# Usage: Seq <from> <to>
Seq() {
perl -e "\$,=\" \"; print $1..$2;"
}
# Checks if string is in the list.
#
# $1 - list
# $2 - string
StringInList() {
if (echo $1 | grep "^$2[[:space:]]" >/dev/null) ||
(echo $1 | grep "[[:space:]]$2\$" >/dev/null) ||
(echo $1 | grep "^$2\$" >/dev/null) ||
(echo $1 | grep "[[:space:]]$2[[:space:]]" >/dev/null); then
return 0
else
return 1
fi
}
envInit
checkRoot

View File

@@ -1,11 +0,0 @@
IcapdSetup() {
# Show address/port where icapd listening.
icapd_port=`IniKeyValues $CONFDIR/drweb-icapd.ini Icapd BindPort`
icapd_addr=`IniKeyValues $CONFDIR/drweb-icapd.ini Icapd BindAddress`
echo
echo "drweb-icapd listens port $icapd_port on $icapd_addr."
# Show the help message pointing to some proxy setup docs.
echo
echo 'NOTE: If you need to set up a proxy, refer to Dr.Web for Internet Gateways documentation for more details.'
}

View File

@@ -1,177 +0,0 @@
AGENT_CONF=$CONFDIR/agent.conf
DRWEB32_INI=$CONFDIR/drweb32.ini
ICAPD_INI=$CONFDIR/drweb-icapd.ini
DEFAULT_LICENSE_FILE=$PREFIX/drweb32.key
KEY_SCRIPT_NAME=`basename $0`
# $1 - config file
# $2 - section name
# $3 - key name
DeleteAbsentLicenseFiles() {
if [ ! -f "$1" ]; then
echo "*** WARNING: $1 : No such file!"
echo
return 1
fi
# Retrieve all license file names from config.
files=`IniKeyValues $1 $2 $3`
config=$1
config_new=`MakeTmpFile`
cp -p -f $config $config_new
# Iterate over them, check if they present,
# don't include them into config copy if they aren't.
for i in $files ; do
if [ ! -f "$i" ]; then
IniSectProc $config_new $2 "next if m|^\\s*$3\\s*=\\s*$i\\s*\$|;"
fi
done
if diff $config $config_new >/dev/null; then
true
else
echo
echo "Some keys specified in $config are not found!"
echo "These keys will be removed from the configuration file."
AskUpdateConfig $config $config_new dont_ask
fi
}
AddLicenseFile() {
# Add what
license_file=$1
# Add where
config_file=$2
section_name=$3
key_name=$4
if [ ! -f "$config_file" ]; then
return 1
fi
config_file_new=`MakeTmpFile`
cp -p -f $config_file $config_file_new
# Retrieve all license file names from config.
files=`IniKeyValues $config_file_new $section_name $key_name`
# Iterate over them and diff them with the new license file.
added_already=
for i in $files ; do
[ -f "$i" ] || continue
diff "$i" "$license_file" 1>/dev/null && added_already=1 && break
done
# If not added yet, copy license file (if needed) and add it to the config.
license_file_copy=
if [ -z "$added_already" ]; then
# Look if this key is in confdir already...
keys_in_confdir=`ls $CONFDIR/drweb32-*.key 2>/dev/null`
for i in $keys_in_confdir ; do
if diff "$i" "$license_file" 1>/dev/null ; then
license_file_copy=$i
break
fi
done
# ...Copy it if not.
if [ -z "$license_file_copy" ]; then
license_file_copy="$CONFDIR/drweb32-`env LANG=C date +%Y%m%d%H%M%S`.key"
cp -p -f $license_file $license_file_copy
fi
if [ -n "$files" ]; then
# There's some key in the section, add the new one before it.
IniSectProc $config_file_new $section_name "if (/^\\s*$key_name\\s*=\\s*(.*)/) { print \"$key_name = $license_file_copy\n\"; last }"
else
# There are no keys in the section, add the first one.
IniSectProc $config_file_new $section_name "if (!\$added) { \$_=\"# Added by Dr.Web's $KEY_SCRIPT_NAME\n$key_name = $license_file_copy\n\n\".\$_; \$added=1 }"
fi
echo
echo "Adding $license_file_copy into [$section_name] of $config_file ."
AskUpdateConfig $config_file $config_file_new dont_ask
else
echo
echo "Already added to [$section_name] of $config_file ."
fi
}
SetKey() {
IsKeyValid && return
# Ask user for path to the key.
#
while true ; do
printf "Enter path to the Dr.Web license key file or '0' to skip: "
read file
echo
[ -z "$file" ] && continue
[ "$file" = "0" ] && break
if [ -f "$file" ] ; then
# Check the key.
if IsKeyValid "$file" ; then
true
else
echo "Wrong key!"
echo
continue
fi
# Check for clean install (default license file is absent on disk).
if [ -f "$DEFAULT_LICENSE_FILE" ]; then
# Try to add license file to all configs.
AddLicenseFile "$file" $AGENT_CONF StandaloneMode LicenseFile
AddLicenseFile "$file" $DRWEB32_INI Daemon Key
AddLicenseFile "$file" $DRWEB32_INI Scanner Key
if [ "$PRODUCT_NAME_SHORT" = "drweb-internet-gateways" ]; then
# Try to add license file to $ICAPD_INI also.
AddLicenseFile "$file" $ICAPD_INI Icapd Key
fi
# Delete entries of all keys which are absent on disk.
DeleteAbsentLicenseFiles $AGENT_CONF StandaloneMode LicenseFile
DeleteAbsentLicenseFiles $DRWEB32_INI Daemon Key
DeleteAbsentLicenseFiles $DRWEB32_INI Scanner Key
if [ "$PRODUCT_NAME_SHORT" = "drweb-internet-gateways" ]; then
# Delete dead keys from $ICAPD_INI also.
DeleteAbsentLicenseFiles $ICAPD_INI Icapd Key
fi
else
# Add this license file under default name.
cp -p -f "$file" $DEFAULT_LICENSE_FILE
chmod 600 $DEFAULT_LICENSE_FILE
chown drweb:drweb $DEFAULT_LICENSE_FILE
fi
break
else
echo "`eval_gettext \"Specified path to key file is invalid. Try again, please.\"`"
fi
done
}
IsKeyValid() {
retval=0
if [ -n "$1" ] ; then
license_file=$1
else
license_file="$DEFAULT_LICENSE_FILE"
fi
if [ -f "$license_file" ] ; then
if [ -x "$PREFIX/read_signed" ] ; then
if $PREFIX/read_signed key "$license_file" ; then
retval=0
else
retval=1
fi
fi
else
retval=1
fi
return $retval
}

View File

@@ -1,11 +0,0 @@
# Find out the library directory (most likely this script was "sourced"
# from another script!).
[ -f "/opt/drweb/scripts/include/lib.sh" ] && script_dir="/opt/drweb/scripts/include"
[ -f "/usr/local/drweb/scripts/include/lib.sh" ] && script_dir="/usr/local/drweb/scripts/include"
[ -z "$script_dir" ] && printf '\nScript library directory was not created. Please reinstall drweb-common package.\n\n' && exit 1
# Include all library scripts.
includes="gettext.sh strings.sh global.sh platform.sh services.sh key.sh icapd.sh defaults.sh"
for f in $includes ; do
[ -f "$script_dir/$f" ] && . $script_dir/$f
done

View File

@@ -1,52 +0,0 @@
PatchManpath() {
TIMESTAMP=`date "+%Y%m%d-%k_%M_%S"`
retval=0
manconf_path="/etc/man.conf"
manpath_path="/etc/manpath.config"
mancf_path="/usr/share/man.cf"
manconfig_path="/etc/man.config"
mandbconf_path="/etc/man_db.conf"
manpath_str="MANDATORY_MANPATH $PREFIX/man"
manconf_str="MANPATH $PREFIX/man"
if [ -x "`which manpath`" ] ; then
manpath=`which manpath`
else
#only solaris haven't manpath
[ -f "$mancf_path" ] && manpath="echo `$GREP MANPATH $mancf_path`"
fi
if [ -d "$PREFIX/man" -a -z "`$manpath 2>/dev/null | $GREP $PREFIX/man`" ] ; then
for f in "$manpath_path" "$manconf_path" "$mancf_path" "$manconfig_path" "$mandbconf_path" ; do
if [ -f "$f" ] ; then
man_str="$manconf_str"
case "$f" in
"$manconf_path")
man_conf="$manconf_path"
;;
"$manpath_path")
man_conf="$manpath_path"
man_str="$manpath_str"
;;
"$mancf_path")
man_conf="$mancf_path"
;;
"$manconfig_path")
man_conf="$manconfig_path"
;;
"$mandbconf_path")
man_conf="$mandbconf_path"
man_str="$manpath_str"
;;
esac
if [ -z "`$GREP "$PREFIX/man" "$man_conf" 2>/dev/null`" ] ; then
cp -p "$man_conf" "$man_conf.$TIMESTAMP"
echo "$man_str" >> "$man_conf"
retval=$?
break
fi
else
retval=1
fi
done
fi
return $retval
}

View File

@@ -1,72 +0,0 @@
PATH=/usr/xpg4/bin:$PATH
export PATH
GetPlatform() {
uname -s | tr "[:upper:]" "[:lower:]"
}
GetPath() {
case `GetPlatform` in
*freebsd*)
softwaredir="/usr/local/etc/drweb/software"
prefix="/usr/local/drweb"
confdir="/usr/local/etc/drweb"
drwebd_init="00.drwebd"
icapd_init="01.drweb-icapd"
monitor_init="00.drweb-monitor"
spider_init=""
;;
*)
softwaredir="/etc/drweb/software"
prefix="/opt/drweb"
confdir="/etc/drweb"
drwebd_init="drwebd"
icapd_init="drweb-icapd"
monitor_init="drweb-monitor"
spider_init="drweb-spider"
;;
esac
case "$1" in
softwaredir)
echo "$softwaredir"
;;
prefix)
echo "$prefix"
;;
confdir)
echo "$confdir"
;;
drwebd_init)
echo "$softwaredir/init.d/$drwebd_init"
;;
icapd_init)
echo "$softwaredir/init.d/$icapd_init"
;;
monitor_init)
echo "$softwaredir/init.d/$monitor_init"
;;
spider_init)
echo "$softwaredir/init.d/$spider_init"
;;
esac
}
SOFTWAREDIR="`GetPath softwaredir`"
PREFIX="`GetPath prefix`"
CONFDIR="`GetPath confdir`"
DRWEBD_INIT="`GetPath drwebd_init`"
ICAPD_INIT="`GetPath icapd_init`"
MONITOR_INIT="`GetPath monitor_init`"
SPIDER_INIT="`GetPath spider_init`"
PS_BIN=`which ps`
[ -x "$PS_BIN" ] || PS_BIN=ps
case `GetPlatform` in
*freebsd*)
PS="$PS_BIN"
;;
*)
PS="$PS_BIN -e"
;;
esac

View File

@@ -1,180 +0,0 @@
IsServiceEnable() {
# 0 if enable
# 1 if disable
# 2 if other
service="$1"
retval=0
case `GetPlatform` in
*freebsd*)
[ -e "/etc/rc.conf" ] && rcconf="/etc/rc.conf"
;;
esac
if [ -n "$rcconf" ] ; then
if [ -f "$rcconf" ] ; then
rcservname="`echo "$service" | $SED "s|-|_|g"`"
. "$rcconf"
status=`eval echo "\$${rcservname}_enable"`
if [ "$status" = "YES" ] ; then
retval=0
else
retval=1
fi
else
printf "$check_autostart_srt" "$rcconf" "$service"
retval=2
fi
else
if [ -f "$CONFDIR/$service.enable" ] ; then
. "$CONFDIR/$service.enable"
if [ $ENABLE -eq 1 ] ; then
retval=0
else
retval=1
fi
else
retval=0
fi
fi
return $retval
}
ToggleServiceStartup() {
if [ $# -ne 2 ] ; then
echo "ToggleServiceStartup: Must be 2 arguments -- ToggleServiceStartup <service name> <on|off>"
return 2
fi
service="$1"
case "$2" in
on)
rcvalue="YES"
printf_str="`eval_gettext \"enable\"`"
sed_before=0
sed_after=1
;;
off)
rcvalue="NO"
printf_str="`eval_gettext \"disable\"`"
sed_before=1
sed_after=0
;;
esac
rcconf=""
retval=0
case `GetPlatform` in
*freebsd*)
[ -e "/etc/rc.conf" ] && rcconf="/etc/rc.conf"
;;
esac
if [ -n "$rcconf" ] ; then
if [ -f "$rcconf" ] ; then
rcservname="`echo "$service" | $SED "s|-|_|g"`"
if grep ${rcservname}_enable= "$rcconf" >/dev/null; then
echo "$rcconf already contains an entry for \"${rcservname}_enable\". Please check manually whether it is correct or not."
retval=0
else
echo "#Automaticaly added by DrWeb configuration script." >> "$rcconf"
echo "${rcservname}_enable=\"$rcvalue\"" >> "$rcconf"
retval=0
fi
else
printf "$toggle_autostart_str" "$rcconf" "$printf_str" "$service"
retval=1
fi
else
if [ -f "$CONFDIR/$service.enable" ] ; then
$SED "s|$sed_before|$sed_after|g" "$CONFDIR/$service.enable" > "$CONFDIR/$service.enable.tmp" 2>/dev/null
mv "$CONFDIR/$service.enable.tmp" "$CONFDIR/$service.enable"
retval=0
else
retval=0
fi
fi
return $retval
}
EnableService() {
retval=0
ToggleServiceStartup "$1" on
retval=$?
return $retval
}
DisableService() {
retval=0
ToggleServiceStartup "$1" off
retval=$?
return $retval
}
ToggleServiceStatus() {
retval=0
if [ $# -ne 2 ] ; then
echo "ToggleServiceStatus: Must be 2 arguments -- ToggleServiceStatus <service name> <start|stop>"
return 2
fi
service="$1"
action="$2"
case "$action" in
start)
init_append="start"
;;
stop)
init_append="stop"
;;
*)
return 1
;;
esac
case "$service" in
drwebd)
service_init="$DRWEBD_INIT"
;;
drweb-icapd)
service_init="$ICAPD_INIT"
;;
drweb-monitor)
service_init="$MONITOR_INIT"
;;
drweb-spider)
service_init="$SPIDER_INIT"
;;
*)
service_init="$SOFTWAREDIR/init.d/$service"
;;
esac
if [ -x "$service_init" ] ; then
"$service_init" "$init_append"
retval=$?
else
printf "`eval_gettext \"Init-script for service %s is not found.\n\"`" "$service"
retval=2
fi
return $retval
}
StartService() {
retval=0
ToggleServiceStatus "$1" "start"
retval=$?
return $retval
}
StopService() {
retval=0
ToggleServiceStatus "$1" "stop"
retval=$?
return $retval
}
ServiceList() {
if [ -d "$SOFTWAREDIR/init.d" ] ; then
ls "$SOFTWAREDIR/init.d" | $SED -e 's|^[0-9]*\.\(.*\)|\1|g' -e 's|\.sh||g' | sort -r
else
echo ""
fi
}

View File

@@ -1,11 +0,0 @@
done_str="`eval_gettext \"Done.\"`"
failed_str="`eval_gettext \"Failed.\"`"
conf_startup_str="`eval_gettext \"Configuring startup of %s...\n\"`"
nothing_to_install_str="`eval_gettext \"Nothing to install. Exiting...\"`"
check_autostart_srt="`eval_gettext \"File %s was not found. Cannot check autostart for service %s.\n\"`"
toggle_autostart_str="`eval_gettext \"File %s was not found. Cannot %s autostart for service %s\n.\"`"
do_you_wish_to_cont_str="`eval_gettext \"Do you want to continue?\"`"
lic_accept_str="`eval_gettext \"Do you agree with the terms of the License Agreement?\"`"
lic_not_accepted_str="`eval_gettext \"Terms of the License Agreement were not accepted. Exiting...\"`"
type_custom_str="`eval_gettext \"Custom Configuration\"`"
type_workstations_str="`eval_gettext \"Dr.Web for Linux Workstations\"`"